Index: code/branches/Presentation_FS17/data/levels/Endurancefinal.oxw
===================================================================
--- code/branches/Presentation_FS17/data/levels/Endurancefinal.oxw	(revision 11441)
+++ code/branches/Presentation_FS17/data/levels/Endurancefinal.oxw	(revision 11444)
@@ -37,4 +37,16 @@
       </templates>
     </ModularSpaceShip>
+
+    <StaticEntity position="0,-10000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
+    <attached> 
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="10000,10000,1000" /> 
+    </attached> 
+    <collisionShapes> 
+        <BoxCollisionShape position="0,0,0" halfExtents="10000,10000,1000" /> 
+    </collisionShapes> 
+</StaticEntity>
+
+
+    
     
   </Scene>
Index: code/branches/Presentation_FS17/data/levels/FinalBossFS17.oxw
===================================================================
--- code/branches/Presentation_FS17/data/levels/FinalBossFS17.oxw	(revision 11444)
+++ code/branches/Presentation_FS17/data/levels/FinalBossFS17.oxw	(revision 11444)
@@ -0,0 +1,1066 @@
+<LevelInfo
+ name = "Kleshtrimania"
+ description = "Final Boss"
+ tags = "test"
+ screenshot = "frozen1.jpeg"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/HeavyCruiser.oxt")
+   include("templates/pickupRepresentationTemplates.oxt")
+?>
+
+<?lua
+  include("templates/Bossspawnship.oxt")
+  include("templates/Bossship.oxt")
+
+  include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/fastship.oxt")
+
+  ?>
+
+<Level
+	gametype = "Mission"
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+  <?lua
+      include("includes/pickups.oxi")
+    ?>
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+
+    <SpawnPoint team=0 position="-200,0,0" lookat="1,1,1" spawnclass=SpaceShip pawndesign=spaceshipsputim />
+
+
+
+
+
+
+<?lua
+      for i = 1, 250, 1
+      do
+      j = math.random()
+    ?>
+
+    <MovableEntity
+      position = "<?lua print(math.random()* 15000 - 1000) ?>,<?lua print(math.random() * 12000 - 4000) ?>,<?lua print(math.random() * 12000 - 4000) ?>"
+      collisionType = dynamic
+      linearDamping = 0.8
+      angularDamping = 0
+      scale = "<?lua print(j * 150)?>"
+      collisiondamage = 1
+      enablecollisiondamage = true
+    >
+      <attached>
+        <Model mass="<?lua print(j * 1000) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" />
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 350) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+
+    <?lua
+      end
+    ?>
+
+
+
+
+<Spawnpoint team= 1 position="0,10,10" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="0,10,10" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+
+          	<?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+            <?lua
+      end
+    ?>
+            
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+
+
+
+
+
+
+
+
+
+
+
+    <SpaceShip position="0, 0, 100" lookat="0,0,0" team=0  name="d2sd1">
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <DivisionController team=0 formationMode="DIAMOND" />
+        <WaypointPatrolController alertnessradius=1000 attackradius=900 />
+      </controller>
+    </SpaceShip>
+
+     <SpaceShip position="-400, 150, -100" lookat="0,0,0" team=0 name="d1sd1">
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <DivisionController team=0 formationMode="WALL">
+        	<SectionController team=0>
+        </SectionController>
+
+        </DivisionController>
+      </controller>
+    </SpaceShip>
+    <SpaceShip position="-400, 190, -100" lookat="0,0,0" team=0 name="d1ss1">
+      <templates>
+        <Template link=spaceshipassff />
+      </templates>
+      <controller>
+        <SectionController team=0>
+        </SectionController>
+      </controller>
+    </SpaceShip>
+
+ <!-- TRIGGERS -->
+    <DistanceTrigger name="FormationInit" position="800,700,600"  target="Pawn" distance=60 stayActive="true" delay=0.1 />
+    <DistanceTrigger name="LetsGo"        position="200,-200,1000" target="Pawn" distance=180 stayActive="true" delay=0.1 />
+    <BlinkingBillboard colour="1,1,0.05" position="200,-200,1000" frequency=0.6 amplitude=3 material="Flares/lensflare" />
+
+    <Script code="formationcontroller formationflight true" onLoad="false">
+        <events>
+            <trigger>
+                <EventListener event=FormationInit />
+            </trigger>
+        </events>
+    </Script> <!-- !!! activates formation behaviour !!! -->
+
+    <Script code="artificialcontroller setbotlevel 5" onLoad="false">
+        <events>
+            <trigger>
+                <EventListener event=FormationInit />
+            </trigger>
+        </events>
+    </Script>
+
+    <SimpleNotification message="Let's go!">
+        <events>
+            <trigger>
+                <EventListener event="LetsGo" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+
+
+<!-- ADDING FORMATION: 2 Swallows -->
+<?lua for i=0,1,1 do
+?>
+    <SpaceShip position="<?lua print(400+i*200) ?>,-200,1000" lookat="-1300,-600,900" visible="true">
+        <templates>
+            <Template link=spaceshipassff /> <!--spaceshipTransporter spaceshippirate-->
+        </templates>
+        <controller>
+            <AIController team=0>
+                <events>
+                    <activity>
+                        <EventListener event="LetsGo" />
+                     </activity>
+                </events>
+            </AIController>
+        </controller>
+    </SpaceShip>
+<?lua end ?>
+
+    
+
+    <ModularSpaceShip velocity= "20,0,0" position="0,0,200" lookat= "0,0,0" scale3D="1,1,1" health = 2000 initialhealth = 1000 maxhealth = 1000  Team= 1>
+      <templates>
+        <Template link= bossship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <Model mesh="sphere.mesh" scale=4 position="300,100,100" />
+            <Model mesh="sphere.mesh" scale=4 position="500,-200,-300" />
+            <Model mesh="sphere.mesh" scale=4 position="-700,-300,-300" />
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </ModularSpaceShip>
+
+
+
+
+    <Pawn team=1 health=30 velocity="0,0,0" shieldhealth=130 initialshieldhealth=130 maxshieldhealth=150 shieldabsorption=0.95 position="0,300,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=sat>
+    <attached>
+        <Model position="5,5,5" mesh="satellite.mesh" scale3D="3,3,3" />
+        <PickupSpawner pickup=smallshieldpickup position="50,5,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+    </collisionShapes>
+
+
+
+    
+	</Pawn>
+
+	<EventTrigger name="sattrigger" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="sat" />
+              </trigger>
+            </events>
+    </EventTrigger>
+
+	<PickupSpawner pickup=mediumboostpickup position="-50,305,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+
+
+<Pawn team=1 health=30 velocity="0,0,0" shieldhealth=130 initialshieldhealth=130 maxshieldhealth=150 shieldabsorption=0.95 position="0,0,100" direction="0,-1,0" collisionType=dynamic mass=100000 name=sat>
+    <attached>
+        <Model position="5,5,5" mesh="satellite.mesh" scale3D="3,3,3" />
+        <PickupSpawner pickup=smallshieldpickup position="50,5,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger4" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger4" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+    </collisionShapes>
+
+
+
+    
+	</Pawn>
+
+	<EventTrigger name="sattrigger4" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="sat" />
+              </trigger>
+            </events>
+    </EventTrigger>
+
+	<PickupSpawner pickup=mediumboostpickup position="-50,305,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger4" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger4" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+
+
+
+
+		<Pawn team=1 health=30 velocity="0,0,0" shieldhealth=130 initialshieldhealth=130 maxshieldhealth=150 shieldabsorption=0.95 position="0,300,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=sat>
+    <attached>
+        <Model position="2,2,2" mesh="satellite.mesh" scale3D="3,3,3" />
+        <PickupSpawner pickup=smallshieldpickup position="50,5,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger2" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger2" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+    </collisionShapes>
+
+
+
+    
+	</Pawn>
+
+	<EventTrigger name="sattrigger2" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="sat" />
+              </trigger>
+            </events>
+    </EventTrigger>
+
+	<PickupSpawner pickup=mediumboostpickup position="-50,305,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger2" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger2" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+
+		<Pawn team=1 health=30 velocity="0,0,0" shieldhealth=130 initialshieldhealth=130 maxshieldhealth=150 shieldabsorption=0.95 position="0,100,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=sat>
+    <attached>
+        <Model position="5,5,5" mesh="satellite.mesh" scale3D="3,3,3" />
+        <PickupSpawner pickup=smallshieldpickup position="50,5,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger3" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger3" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+    </attached>
+    <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="15,15,15" />
+    </collisionShapes>
+
+
+
+    
+	</Pawn>
+
+	<EventTrigger name="sattrigger3" activations="1" stayactive="true" delay=0.1>
+            <events>
+              <trigger>
+                <EventListener event="sat" />
+              </trigger>
+            </events>
+    </EventTrigger>
+
+	<PickupSpawner pickup=mediumboostpickup position="-50,305,5" triggerDistance="10" maxSpawnedItems="1">
+			<events>
+	            <activity>
+	                <EventListener event="sattrigger3" />
+	            </activity>
+	            <visibility>
+		            <EventListener event="sattrigger3" />
+	    	    </visibility>
+
+	        </events>
+		</PickupSpawner>
+
+<!--
+<MovableEntity position="-50,-50,-50" rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+        <Model position="-50,-50,-50" mesh="IceStar.mesh" scale3D="100,100,100" />
+        <MovableEntity position="-50,-50,-50" rotationrate="180" rotationaxis="0,1,0">
+            <attached>
+                <Model position="-50,-50,-50" mesh="sphere.mesh" scale3D="1,1,10" />
+            </attached>
+        </MovableEntity>
+    </attached>
+</MovableEntity>-->
+
+
+
+<Spawnpoint team= 1 position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1 health=200>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+
+
+ <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+<Spawnpoint team= 1 position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship health=200 >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1 health=200>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+<Spawnpoint team= 1 position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1 health=200>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+    <Spawnpoint team= 1 position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+           <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+            <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <Spawnpoint team= 1 position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" lookat="0,1,0" spawnclass=SpaceShip pawndesign=fastship >
+      <controller>
+        <WaypointPatrolController alertnessradius=100 attackradius=90 />
+      </controller>
+    </Spawnpoint>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 0>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=0>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+<SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </MovableEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+
+    <SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <StaticEntity >
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </StaticEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+<SpaceShip position="<?lua print(math.random()* 1500 - 1000) ?>,<?lua print(math.random() * 1200 - 400) ?>,<?lua print(math.random() * 1200 - 400) ?>" velocity="50,50,50" team= 1>
+      <templates>
+        <Template link=fastship />
+      </templates>
+      <controller>
+        <WaypointPatrolController alertnessradius=200 attackradius=150 Team=1>
+          <waypoints>
+            <?lua
+          	size = 1200
+      for i = 1, 50, 1
+      do
+    ?>
+             <StaticEntity >
+    <attached>
+            <Model  mesh="IceStar.mesh" scale=4 position= "<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>,<?lua print(math.random() * size - size / 2) ?>"/>
+</attached>
+ </StaticEntity>
+            <?lua
+      end
+    ?>
+          </waypoints>
+        </WaypointPatrolController>
+      </controller>
+    </SpaceShip>
+
+    <MovableEntity rotationrate="45" rotationaxis="0,0,1">
+    	<attached>
+    		<Model mesh="Spacegate.mesh" scale=5 position="0,100, 1000"/>
+    	</attached>
+    </MovableEntity>
+
+
+
+  </Scene>
+</Level>
Index: code/branches/Presentation_FS17/data/levels/includes/BossSpawnWeaponSetting.oxi
===================================================================
--- code/branches/Presentation_FS17/data/levels/includes/BossSpawnWeaponSetting.oxi	(revision 11444)
+++ code/branches/Presentation_FS17/data/levels/includes/BossSpawnWeaponSetting.oxi	(revision 11444)
@@ -0,0 +1,86 @@
+<!--
+<weaponslots>
+      <WeaponSlot position="-9.2,2,-13" />
+      <WeaponSlot position=" 9.2,2,-13" />
+ </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+        </links>
+        <Weapon> 
+         
+          <IceGun mode=0 munitionpershot=1 delay=0 damage=20 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" />
+        </Weapon>
+        <Weapon>
+          <IceGun mode=0 munitionpershot=1 delay=0     damage=20 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh"  />
+        </Weapon>
+      </WeaponPack>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
+        </links>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+    
+      <IceMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+    </munition>
+
+-->
+ <weaponslots>
+      <WeaponSlot position="-15.0,-1.5,0" />
+      <WeaponSlot position=" 15.0,-1.5,0" />
+      <WeaponSlot position="    0,   0,0" />
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
+    </weaponsets>
+    <weaponpacks>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
+        </links>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
+            <IceGun mode=0 munitionpershot=1 delay=0     damage=20 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" projectileMesh="LaserBeam2.mesh"  />
+          </attached>
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=20 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=20 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 munitionpershot=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+        </Weapon>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=1 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 munitionpershot=1 muzzleoffset="0,0,0" damage=23 />
+        </Weapon>
+        <Weapon>
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 fuel=8 />
+        </Weapon>
+      </WeaponPack>
+    </weaponpacks>
+    <munition>
+      <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=2 replenishinterval=7.5/>
+      <LightningMunition initialmagazines=4 maxmagazines=4 munitionpermagazine=8 />
+      <RocketMunition initialmagazines=5 maxmagazines=5 munitionpermagazine=1 />
+    </munition>
Index: code/branches/Presentation_FS17/data/levels/includes/weaponSettingsEscort.oxi
===================================================================
--- code/branches/Presentation_FS17/data/levels/includes/weaponSettingsEscort.oxi	(revision 11441)
+++ code/branches/Presentation_FS17/data/levels/includes/weaponSettingsEscort.oxi	(revision 11444)
@@ -14,5 +14,6 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=1 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" />
+          <!--<HsW01 mode=0 munitionpershot=1 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" /> -->
+          <IceGun mode=0 munitionpershot=1 delay=0.125 damage=9.3 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" projectileMesh="LaserBeam2.mesh" />
         </Weapon>
         <Weapon>
@@ -28,3 +29,4 @@
     <munition>
       <LaserMunition initialmagazines=8 maxmagazines=8 munitionpermagazine=10 replenishamount=1 replenishinterval=7.5/>
+      
     </munition>
Index: code/branches/Presentation_FS17/data/levels/shieldTest.oxw
===================================================================
--- code/branches/Presentation_FS17/data/levels/shieldTest.oxw	(revision 11441)
+++ code/branches/Presentation_FS17/data/levels/shieldTest.oxw	(revision 11444)
@@ -9,5 +9,5 @@
   include("HUDTemplates3.oxo")
   include("stats.oxo")
-  include("templates/spaceshipImmTest.oxt")
+  include("templates/spaceshipAssff.oxt")
   include("templates/lodInformation.oxt")
 ?>
@@ -61,5 +61,5 @@
       for i = 1, 10, 1 do
     ?>
-      <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipimmtest />
+      <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
     <?lua end ?>
 
Index: code/branches/Presentation_FS17/data/levels/templates/Bossship.oxt
===================================================================
--- code/branches/Presentation_FS17/data/levels/templates/Bossship.oxt	(revision 11444)
+++ code/branches/Presentation_FS17/data/levels/templates/Bossship.oxt	(revision 11444)
@@ -0,0 +1,838 @@
+<Template name = bossship>
+
+    <!-- Spaceship parameters -->
+
+	<ModularSpaceShip 
+	name = endurance
+	collisionType= "dynamic" 
+	mass = 10000000 
+ shieldhealth=750 initialshieldhealth=750 maxshieldhealth=750 shieldabsorption    = 1 shieldrechargerate  = 100 shieldrechargewaittime = 0.1 
+
+   
+	
+	
+	
+	
+	rotationaxis = "1,1,0" 
+	
+	
+   	rotationrate = "100"
+   	>
+
+   	
+  <?lua
+  include("../includes/BossSpawnWeaponSetting.oxi")
+  ?>
+	
+   	<!-- Destructible parts -->
+
+   	<parts>
+
+   		<ShipPart name = "tunnelsystem" initialhealth="500" maxhealth="500" damageabsorption="0.5" explosionposition="0,0,0" >
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "mistery1" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "mistery2" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+   		<ShipPart name = "EnduranceSmallShip1" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "EnduranceSmallShip2" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct12" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+         <ShipPart name = "ct11" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct10" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct9" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct8" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct7" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct6" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct5" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct4" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct3" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+               <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct2" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "ct1" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+            </destructionevents>
+        </ShipPart>
+
+    	<ShipPart name = "part1" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct12"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct11"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part2" initialhealth="100" maxhealth="100" damageabsorption="0.9" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct11"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct10"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part3" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct10"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct9"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part4" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct9"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct8"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part5" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct8"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />  
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part6" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+               <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct7"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct6"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part7" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+               <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct6"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct5"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part8" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct5"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct4"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part9" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct4"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct3"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part10" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct3"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct2"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part11" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct2"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct1"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+        <ShipPart name = "part12" initialhealth="100" maxhealth="100" damageabsorption="0.5" explosionposition="0,0,0">
+            <destructionevents>
+                <PartDestructionEvent targetType="ship"  operation="destroy" />
+                <PartDestructionEvent targetType="ship"  targetParam="maxshieldhealth" operation="-" value="100" />
+                <PartDestructionEvent targetType="part" targetName ="ct1"   operation="destroy" />
+                <PartDestructionEvent targetType="part" targetName ="ct12"   operation="destroy" />
+            </destructionevents>
+        </ShipPart>
+
+    </parts>
+
+    <!-- Explosion effects -->
+
+    <explosion >
+
+
+      <ExplosionPart scale = 5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart scale = 5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart scale = 5 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+      <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="94,33,-50" delay=1 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+ 
+      <ExplosionPart scale = 2.5 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart scale = 2.5 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart delay=0.8 scale = 2.5 mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+     
+      <ExplosionPart offset="20,13,-15" delay=1.3 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="30,13,-15" delay=1.3 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="20,13,-15" delay=1.3 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+      <ExplosionPart offset="-20,-13,-15" delay=1.8 minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart offset="-20,-13,-15" delay=1.8 minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart offset="-20,-13,-15" delay=1.8 minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+    </explosion>
+
+
+    <attached>
+
+
+
+
+		<!-- coordinates (0,0,0) element 0-->
+        
+		<!-- Small-Ship 1/2 -->
+
+		<StaticEntity  name = "EnduranceSmallShip1" collisionType=static position ="21,14.4,-9.6"  pitch="60" yaw="0" roll="90" >
+			<attached>
+				<Model  mesh="Endurance_Small_Ship.mesh" scale="36" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,-25,2.5" halfExtents="15,30,1" />
+			<BoxCollisionShape  position ="0,5,-7" halfExtents="7,7,7" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- Small-Ship 1/2 -->
+
+		<StaticEntity  name = "EnduranceSmallShip2" collisionType=static position ="21,-14.4,9.6"  pitch="-120" yaw="0" roll="90" >
+			<attached>
+				<Model  mesh="Endurance_Small_Ship.mesh" scale="36" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,-25,2.5" halfExtents="15,30,1" />
+			<BoxCollisionShape  position ="3,5,-7" halfExtents="7,7,7" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- Tunnelsystem -->
+
+		<StaticEntity  name = "tunnelsystem" collisionType=static position ="0,0,0" lookat="0,0,0" pitch="-30" yaw="0" roll="90" >
+			<attached>
+				<Model  mesh="Endurance_Tunnelsystem.mesh" scale="66" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position = "30,0,0" halfExtents="65,9,9" />
+			<BoxCollisionShape  position = "0,40,0" halfExtents="8,30,8" />
+			<BoxCollisionShape  position = "0,-20,0" halfExtents="7,12,7" />
+			<BoxCollisionShape  position = "0,0,18" halfExtents="8,8,12" />
+			<BoxCollisionShape  position = "0,0,-18" halfExtents="8,8,12" />
+			<BoxCollisionShape  position = "-39,0,0" halfExtents="5,5,7" />
+			
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct12 -->
+
+		<StaticEntity name ="ct12" collisionType=static position ="0,-30,105"  yaw="0" roll="90" pitch="-60" >
+			<attached>
+		
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- 2 Mistery elements --> 
+
+		<StaticEntity name = "mistery1" collisionType=static position ="0,-6,-9.6"  yaw="0" roll="90" pitch="-30" >
+			<attached>
+		
+				<Model  mesh="Endurance_Mystery.mesh" scale="48" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape position ="0,0,-28" halfExtents="25,32,8" />
+			<BoxCollisionShape position ="0,-30,-28" halfExtents="25,8,8" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<StaticEntity name = "mistery2" collisionType=static position ="0,3.6,7.2"  yaw="0" roll="90" pitch="150" >
+			<attached>
+		
+				<Model  mesh="Endurance_Mystery.mesh" scale="48" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape position ="0,0,-28" halfExtents="25,32,8" />
+			<BoxCollisionShape position ="0,-30,-28" halfExtents="25,8,8" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (100,0,0) element 1-->
+
+		<StaticEntity name= "part1" collisionType=static lookat="0,0,0" position ="0,0,120" direction="0,0,0" yaw="-90" roll="-90" pitch="0">
+
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+				
+		
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,-5" halfExtents="14,22,30"  />
+
+			</collisionShapes>	
+
+		</StaticEntity>
+
+
+		<!-- ct11 -->
+
+		<StaticEntity name = "ct11" collisionType=static position ="0,30,105"  yaw="0" roll="90" pitch="270" >
+			<attached>
+	
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (86,50,0) element 2 -->
+
+		<StaticEntity name = "part2" collisionType=static lookat="0,0,0" position ="0,60,103.2" direction="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+				
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,24,26"  />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct10 -->
+
+		<StaticEntity name ="ct10" collisionType=static position ="0,78,78"  yaw="0" roll="90" pitch="240" >
+			<attached>
+		
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (50,86,0) element 3 -->	
+
+		<StaticEntity name="part3" collisionType=static lookat="0,0,0" position ="0,103.2,60" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,-5" halfExtents="14,22,30" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct9 -->
+
+		<StaticEntity name ="ct9" collisionType=static position ="0,105,30"  yaw="0" roll="90" pitch="210" >
+			<attached>
+		
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (0,100,0) element 4 -->	
+
+		<StaticEntity name ="part4" collisionType=static position ="0,120,0" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,25,26" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct8 -->
+
+		<StaticEntity name ="ct8" collisionType=static position ="0,105,-30"  yaw="0" roll="90" pitch="180" >
+			<attached>
+			
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-50,86,0) element 5 -->	
+
+		<StaticEntity name= "part5" collisionType=static position ="0,103.2,-60" lookat="0,0,0" direction="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,25,26" />
+
+			</collisionShapes>
+
+
+		</StaticEntity>
+
+		<!-- ct7 -->
+
+		<StaticEntity name ="ct7"  collisionType=static position ="0,78,-78"  yaw="0" roll="90" pitch="150" >
+			<attached>
+		
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+		
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-86,50,0) element 6  -->	
+
+		<StaticEntity name="part6" collisionType=static position ="0,60,-103.2" lookat="0,0,0" yaw="0" roll="-90" >
+			<attached>
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,25,26" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct6 -->
+
+		<StaticEntity name ="ct6" collisionType=static position ="0,30,-105"  yaw="0" roll="90" pitch="120" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+			
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-100,0,0) element 7 -->	
+
+		<StaticEntity name= "part7" collisionType=static position ="0,0,-120" lookat="0,0,0" direction="0,0,0" yaw="90" roll="90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,-5" halfExtents="14,22,30" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct5 -->
+
+		<StaticEntity name ="ct5" collisionType=static position ="0,-30,-105"  yaw="0" roll="90" pitch="90" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+
+		<!-- coordinates (-86,-50,0) element 8 -->	
+
+		<StaticEntity name ="part8" collisionType=static position ="0,-60,-103.2" lookat="0,0,0" direction="0,0,0" yaw="0" roll="-90" >
+			<attached>
+				<Model  mesh="Endurance_Habitat.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,2" halfExtents="14,25,26" />
+
+			</collisionShapes>
+
+
+		</StaticEntity>
+
+		<!-- ct4 -->
+
+		<StaticEntity name ="ct4" collisionType=static position ="0,-78,-78"  yaw="0" roll="90" pitch="60" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (-50,-86,0) element 9 -->	
+
+		<StaticEntity name="part9" collisionType=static position ="0,-103.2,-60" lookat="0,0,0" direction="0,0,0" yaw="-90" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_MainEngine.mesh" scale="5" />
+
+				<ParticleEmitter scale=5  position= "0,-5,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,3,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+				<ParticleEmitter scale=5  position= "0,10,28" source="Orxonox/thruster2" lifetime=2.0 loop=1 startdelay=0.0 />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,-5" halfExtents="14,22,30" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct3 -->
+
+		<StaticEntity name ="ct3" collisionType=static position ="0,-105,-30"  yaw="0" roll="90" pitch="30" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+				
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (0,-100,0) element 10 -->	
+
+		<StaticEntity name ="part10" collisionType=static position ="0,-120,0" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,2" halfExtents="14,25,26" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- ct2 -->
+
+		<StaticEntity name ="ct2" collisionType=static position ="0,-105,30"  yaw="0" roll="90" pitch="0" >
+			<attached>
+				
+
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+			
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (50,-86,0) element 11 -->	
+
+		<StaticEntity name ="part11" collisionType=static position ="0,-103.2,60" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Commando_Module.mesh" scale="5" />
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,25,27" />
+			<BoxCollisionShape  position ="0,30,-20" halfExtents="15,5,6" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- connecting tunnel 1 (ct1) -->
+
+		<StaticEntity name ="ct1" collisionType=static position ="0,-78,78"  yaw="0" roll="90" pitch="-30" >
+			<attached>
+	
+				<Model  mesh="Endurance_Connecting_Tunnel.mesh" scale="6" />
+	
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  halfExtents="8,8,10" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		<!-- coordinates (86,-50,0) element 12 -->	
+
+		<StaticEntity name ="part12" collisionType=static position ="0,-60,103.2" lookat="0,0,0" yaw="0" roll="-90">
+			<attached>
+				<Model  mesh="Endurance_Landig_Module.mesh" scale="5" />
+				
+
+			</attached>
+
+			<collisionShapes>
+
+			<BoxCollisionShape  position ="0,0,3" halfExtents="14,25,27" />
+
+			</collisionShapes>
+
+		</StaticEntity>
+
+		
+	</attached>
+
+	
+
+	</ModularSpaceShip>
+
+</Template>
+
Index: code/branches/Presentation_FS17/data/levels/templates/Bossspawnship.oxt
===================================================================
--- code/branches/Presentation_FS17/data/levels/templates/Bossspawnship.oxt	(revision 11444)
+++ code/branches/Presentation_FS17/data/levels/templates/Bossspawnship.oxt	(revision 11444)
@@ -0,0 +1,131 @@
+<Template name=spaceshipsputim>
+  <SpaceShip
+   hudtemplate            = spaceshiphud
+   camerapositiontemplate = spaceshipescortcameras
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 10
+
+   health            = 200
+   maxhealth         = 200
+   initialhealth     = 200
+
+   shieldhealth        = 35
+   initialshieldhealth = 35
+   maxshieldhealth     = 60
+   shieldabsorption    = 0.9
+   shieldrechargerate  = 1
+   shieldrechargewaittime = 1
+
+   primaryThrust     = 150
+   auxilaryThrust    = 30
+   rotationThrust    = 50
+
+   lift = 1;
+   stallSpeed = 220;
+
+   boostPower            = 20
+   boostPowerRate        = 1
+   boostRate             = 5
+   boostCooldownDuration = 10
+
+   shakeFrequency = 15
+   shakeAmplitude = 6
+
+   collisionType     = "dynamic"
+   mass              = 80
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+    <engines>
+      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipescortengine />
+      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipescortengine />
+    </engines>
+    <attached>
+      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="assff.mesh" />
+      <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" /> 
+      
+      <!--Thruster. -->
+<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" "assff.mesh"/>
+<Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="-12.6,-2,3" scale3D="2.8,2.8,11" />
+<Model mesh="cube.mesh" mass=10 position="0,0,-12" scale3D="4,4,7" /-->
+    </attached>
+    <collisionShapes>
+      <BoxCollisionShape position="0    ,0 ,  3" halfExtents="10,   4,8" />
+      <BoxCollisionShape position="12.6 ,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="-12.6,-2,  3" halfExtents="2.8,2.8,11"/>
+      <BoxCollisionShape position="0,     0,-12" halfExtents="4  , 4 ,7" />
+    </collisionShapes>
+    <explosion>
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
+      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
+
+      <ExplosionPart mesh="explosionparts/escort_part_1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/escort_part_2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/escort_part_3.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/escort_part_4.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/escort_part_5.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+      <ExplosionPart mesh="explosionparts/escort_part_6.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
+    </explosion>
+
+<?lua
+  include("../includes/BossSpawnWeaponSetting.oxi")
+?>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipescortcameras defaults=0>
+  <SpaceShip>
+    <camerapositions>
+      <CameraPosition position="0,15, 60" drag=true mouselook=true />
+      <CameraPosition position="0,20, 90" drag=true mouselook=true />
+      <CameraPosition position="0,30,120" drag=true mouselook=true />
+    </camerapositions>
+  </SpaceShip>
+</Template>
+
+<Template name=spaceshipescortengine baseclass=MultiStateEngine>
+  <MultiStateEngine
+   boostfactor    = 2.2
+
+   speedfront     = 200
+   speedback      =  70
+   speedleftright =  70
+   speedupdown    =  70
+
+   defEngineSndNormal = "sounds/Engine_low.ogg"
+   defEngineSndBoost = "sounds/Engine_high.ogg"
+
+   accelerationfront     = 700
+   accelerationbrake     = 700
+   accelerationback      =  125
+   accelerationleftright =  125
+   accelerationupdown    =  125
+  >
+    <EffectContainer condition="idle">
+      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
+       />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, -2, 14" colour="0.2, 0.5, 0.65, 1.0" width=150 length=15 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=2 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, -2, 14" colour="0.2, 0.5, 0.65, 1.0" width=15 length=15 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=2 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+    <EffectContainer condition="not idle">
+      <FadingBillboard mainstate=activity active=false scale=0.09 position="12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+      <FadingBillboard mainstate=activity active=false scale=0.09 position="-12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
+    </EffectContainer>
+    <EffectContainer condition="normal or brake">
+
+    </EffectContainer>
+    <EffectContainer condition="normal or boost">
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, -2, 14" colour="0.2, 1.0, 0.65, 1.0" width=5 length=1500 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, -2, 14" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=1 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
+    </EffectContainer>
+
+    <EffectContainer condition="boost">
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
+    </EffectContainer>
+
+  </MultiStateEngine>
+</Template>
